Subject: Re: [Softwires] Proposed text that describes lw4o6 and map-e

From: Qi Sun <[email-masked]>
Date: Tue, 1 Apr 2014 16:55:12 +0800

Hi all, 

According to the Softwire session in London, there would be a crossing reference between map and lw4o6 with the same description text. Now that the text has been agreed by the two sides and added to the lw4o6 draft, I would propose to include the following into the Introduction section of map draft:

  MAP offers the capability of independence between IPv6 
  subnet prefix and IPv4 address or, alternatively, allows for a
  reduction of the amount of centralized state using rules to express
  IPv4/IPv6 address mappings.  This introduces an algorithmic
  relationship between the IPv6 subnet and IPv4 address.  This
  relationship also allows the option of direct, meshed connectivity
  between users. [I.D.ietf-softwire-lw4over6] is a solution designed 
  specifically for complete independence between IPv6 subnet prefix 
  and IPv4 address with or without IPv4 address sharing.  This is 
  accomplished by maintaining state for each softwire (per-subscriber state) 
  in the central lwAFTR and a hub-and-spoke forwarding architecture. 

Could the Editors of MAP, as well as the WG, check with the text? Thanks!

Best Regards,
Qi

On Mar 18, 2014, at 11:44 PM, Wojciech Dec <[email-masked]> wrote:

> Agreed.
> 
> Cheers,
> Wojciech.
> 
> 
> On 18 March 2014 15:59, <[email-masked]> wrote:
> Hi Woj,
> 
> Removing the modal verb has left us with a rather hefty sentence:
> 
> …..allows for the reduction of the amount of centralised state by means of rules expressing an algorithmic address mapping relationship between the IPv6 subnet prefix and IPv4 address.
> 
> It would be clearer as two:
> 
> ….allows for a reduction of the amount of centralised state using rules to express IPv4/IPv6 address mappings. This introduces an algorithmic relationship between the IPv6 subnet and IPv4 address. 
> 
> Cheers,
> Ian
> 
> From: Wojciech Dec <[email-masked]>
> Date: Tuesday, 18 March 2014 15:37
> To: ian Farrer <[email-masked]>
> Cc: Softwires-wg WG <[email-masked]>
> 
> Subject: Re: [Softwires] Proposed text that describes lw4o6 and map-e
> 
> Hi Ian,
> 
> indeed. Would however prefer to remove the modal verb however (which leads to a few changes):
> 
> Lightweight 4over6 is a solution designed specifically for complete independence between IPv6 subnet prefix and IPv4 address with or without IPv4 address sharing.
> This is accomplished by maintaining state for each softwire (per-subscriber state) in the central lwAFTR and a hub-and-spoke forwarding architecture.  [I-D.ietf-softwire-map] also offers these capabilities or, alternatively, allows for the reduction of the amount of centralised state by means of rules expressing an algorithmic address mapping relationship between the IPv6 subnet prefix and IPv4 address. This relationship also allows the option of direct, meshed connectivity between users.
> 
> Cheers,
> Wojciech.
> 
> 
> _______________________________________________
> Softwires mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/softwires